Bug 519983 - [LTC 6.0 FEAT] Support ACPI S3/S4 Sleeping States [201941]
Summary: [LTC 6.0 FEAT] Support ACPI S3/S4 Sleeping States [201941]
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: All
low
high
Target Milestone: rc
: 6.0
Assignee: John Feeney
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 356741 525727 554559 555224
TreeView+ depends on / blocked
 
Reported: 2009-08-27 21:10 UTC by IBM Bug Proxy
Modified: 2013-01-10 07:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-15 14:27:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
IBM Linux Technology Center 53690 0 None None None Never

Description IBM Bug Proxy 2009-08-27 21:10:40 UTC
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201941]
a. Name of Feature:	Support ACPI S3/S4 Sleeping States
b. Feature Description
Support ACPI S3/S4 (Standby/Hibernate) Sleeping States in Enterprise environments.

2. Feature Details:
Sponsor:	xSeries
Architectures:
x86
x86_64

Arch Specificity: Both
Affects Core Kernel: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: 
Category:	xSeries
Request Type:	Kernel - Enhancement from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	no
g. Component Version Target:	

3. Business Case
Needed to support IBM's Energy management/Green initiatives. Requirements from customers dictate
smarter, more power efficient environments.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Monte Knutson, mknutson@us.ibm.com, 877-894-1495

Technical contact(s):
Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

IBM Manager:
Deneen T. Dock, deneen@us.ibm.com

Comment 2 Matthew Garrett 2009-09-15 15:26:26 UTC
Is there anything needed that's not present in the existing code? We should be supporting S3 and S4 out of the box on appropriate hardware.

Comment 3 IBM Bug Proxy 2009-09-16 14:40:42 UTC
------- Comment From lcm@us.ibm.com 2009-09-16 10:36 EDT-------
(In reply to comment #5)
> Is there anything needed that's not present in the existing code? We should be
> supporting S3 and S4 out of the box on appropriate hardware.
>
Correct. S3 / S4 seem to work out of the box today on desktops / laptops. This is a validation effort as S3 / S4 support is implemented on new IBM System x servers.

Comment 4 John Jarvis 2010-01-15 17:39:25 UTC
IBM is signed up to test and provide feedback.

Comment 5 John Jarvis 2010-01-19 16:04:50 UTC
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux major release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux major release.   
While it is a goal to include this enhancement in the next major release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next major release pending the next phase of actual 
code integration and successful Red Hat and partner testing.

Comment 6 IBM Bug Proxy 2010-06-11 23:00:47 UTC
------- Comment From masbock@us.ibm.com 2010-06-11 18:50 EDT-------
I have tested suspend to disk (hibernation) on the following IBM systems with RHEL6:
x3620 M3, X3690 X5, HS22 blade. The systems were suspended trough the command
echo disk > /sys/power/state
The OS in these systems resumed as expected.

Comment 7 IBM Bug Proxy 2010-06-18 00:31:27 UTC
------- Comment From masbock@us.ibm.com 2010-06-17 20:21 EDT-------
I found one system, the IBM HX5 blade, which doesn't resume from S4 sleep (hibernation). Still investigating.

Comment 8 IBM Bug Proxy 2010-06-23 23:01:05 UTC
------- Comment From masbock@us.ibm.com 2010-06-23 18:51 EDT-------
I tested S4 hibnernation on another IBM HX5 blade and found it fails to resume too. It looks like it hangs at sd_sync_cache().

PM: Starting manual resume from disk
Freezing user space processes ... (elapsed 0.00 seconds) done.
Freezing remaining freezable tasks ... (elapsed 0.00 seconds) done.
PM: Loading image data pages (102072 pages) ... done
PM: Read 408288 kbytes in 175.01 seconds (2.33 MB/s)
sd 1:0:0:0: [sda] Synchronizing SCSI cache

Comment 9 IBM Bug Proxy 2010-07-01 21:20:54 UTC
------- Comment From masbock@us.ibm.com 2010-07-01 17:19 EDT-------
I also tested S3 sleep - suspend to RAM - on an IBM HC10 blade. It works as expected. Test performed:

- suspend system using pm-suspend
- resume by pressing power buttons
- check if processes and network connections resume

In light of the fact that the S4 sleep - suspend to disk - worked on all systems tested except one I will consider this feature as verified.
Any problem that still remain to be analyzed on HX5 blades will be tracked in a separate bugzilla entry.

Comment 10 releng-rhel@redhat.com 2010-11-15 14:27:11 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.